---
name: Salvatore Finocchiaro
locality: Remote
country: Remote
role: <a href="https://handbook/customer-success/renewals-managers/what/">Renewals
  Manager Enterprise DACH</a>
reports_to: mpercolla
picture: salvatorefinocchiaro.jpg
pronouns: he/his
pronunciation:
twitter:
linkedin: salvatore-f-4888201a6
gitlab: sfinocchiaro
departments:
- Customer Success
- Sales Development
specialty: EMEA
expertise:
story:
job_title: Renewals Manager
division: Sales
public: true

